org.apache.nutch.tools.proxy

## Class AbstractTestbedHandler

- java.lang.Object
- - org.mortbay.component.AbstractLifeCycle
  - - org.mortbay.jetty.handler.AbstractHandler
    - - org.apache.nutch.tools.proxy.AbstractTestbedHandler

- All Implemented Interfaces:
    org.mortbay.component.LifeCycle, org.mortbay.jetty.Handler
  Direct Known Subclasses:
    DelayHandler, FakeHandler, LogDebugHandler, NotFoundHandler

      public abstract class AbstractTestbedHandler
      extends org.mortbay.jetty.handler.AbstractHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle

      `org.mortbay.component.LifeCycle.Listener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `debug`

    - ### Fields inherited from class org.mortbay.jetty.handler.AbstractHandler

      `_string`

    - ### Fields inherited from class org.mortbay.component.AbstractLifeCycle

      `_listeners`

    - ### Fields inherited from interface org.mortbay.jetty.Handler

      `ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTestbedHandler()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMyHeader(javax.servlet.http.HttpServletResponse res, java.lang.String name, java.lang.String value)`
    `abstract void` | `handle(org.mortbay.jetty.Request req, javax.servlet.http.HttpServletResponse res, java.lang.String target, int dispatch)`
    `void` | `handle(java.lang.String target, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, int dispatch)`

    - ### Methods inherited from class org.mortbay.jetty.handler.AbstractHandler

      `destroy, doStart, doStop, getServer, setServer, toString`

    - ### Methods inherited from class org.mortbay.component.AbstractLifeCycle

      `addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.mortbay.component.LifeCycle

      `addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

- - ### Field Detail

    - #### debug

          protected boolean debug

  - ### Constructor Detail

    - #### AbstractTestbedHandler

          public AbstractTestbedHandler()

  - ### Method Detail

    - #### handle

          public void handle(java.lang.String target,
                             javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res,
                             int dispatch)
                      throws java.io.IOException,
                             javax.servlet.ServletException

      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### handle

          public abstract void handle(org.mortbay.jetty.Request req,
                                      javax.servlet.http.HttpServletResponse res,
                                      java.lang.String target,
                                      int dispatch)
                               throws java.io.IOException,
                                      javax.servlet.ServletException

      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### addMyHeader

          public void addMyHeader(javax.servlet.http.HttpServletResponse res,
                                  java.lang.String name,
                                  java.lang.String value)

Copyright © 2019 The Apache Software Foundation